Store APIsCategories
Create category
Creates a new product category. Requires the CATEGORIES_WRITE scope.
AuthorizationBearer <token>
Bearer token authentication. Pass the secret directly in the Authorization header. Token secrets start with sk_.
In: header
Path Parameters
storeId*string
Length
12 <= length <= 48Header Parameters
idempotency-key?string
Length
8 <= length <= 32Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/stores/stringstring/categories/" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "ok": true, "data": { "id": "ctg_4tzcbfp2v8q1mzwxj5h0r1n", "name": "Plans", "slug": "plans", "description": "Subscription plans for the platform.", "parentId": null, "displayOrder": 0, "icon": null, "metaTitle": null, "metaDescription": null, "showInNavigation": true, "featured": false, "isFavourite": false, "isArchived": false, "createdAt": "2026-05-01T10:00:00.000Z", "updatedAt": "2026-05-01T10:00:00.000Z" }}